module.exports = ({
  api,
  rootOptions,
  Types
}) => {
  const {
    type
  } = rootOptions;
  const {
    mobile,
    pc
  } = Types;
  const isWeb = type === mobile || type === pc;

  if (isWeb) {
    api.render('./template');
    api.extendPackage({
      project: {
        metadata: {
          base: {
            cssUrlArr: [],
            jsUrlArr: [],
            htmlBeforeHeadClose: '',
            htmlBeforeBodyClose: ''
          },
          index: {
            title: '',
            description: '',
            htmlClass: [],
            bodyClass: []
          },
          tester: {
            title: '',
            description: '',
            htmlClass: [],
            bodyClass: ['safe-area-padding-bottom', 'exact-one-page']
          }
        }
      }
    });
  }
};