// Node > 8.2 supports native async functions and object rest/spread - no need to use compiled code!
const versions = process.versions.node.split('.')
const major = parseInt(versions[0], 10)
const minor = parseInt(versions[1], 10)
const needCompile = major < 8 || (major === 8 && minor <= 2)
// eslint-disable-next-line import/no-unresolved
module.exports = needCompile ? require('./lib/index') : require('./src/index')
