const path = require('path')
const globby = require('globby')

const arr = globby.sync(['./data/*.js', '!index.js'], { cwd: __dirname })

const ajax = {}

arr.forEach(filepath => {
  try {
    /* eslint-disable import/no-dynamic-require */
    const mock = require(path.join(__dirname, filepath))
    /* eslint-enable import/no-dynamic-require */
    const { enable, url, mockResponse } = mock
    if (!enable) return
    if (url) {
      ajax[url] = { filepath, mockResponse }
    }
  } catch (err) {
    //
  }
})

module.exports = {
  ajax,
}
