module.exports = {
  // 自动生成的 target, 禁止修改
  target: 'lib',
  // 入口文件
  entry: './src/index.js',
  // 打包输出目录
  outputDir: 'dist',
  inlineLimit: 1024 * 10,
  // 是否在开发环境 (process.env.NODE_ENV === 'development') 开启 webpack 的 devtool
  devtool: true,
  // css config
  css: {
    // enable CSS source maps?
    sourceMap: false,
  },
  lintOnSave: true,
  // generate sourceMap for production build?
  productionSourceMap: false,
  // 是否将最终的 webpack 配置打印到控制台上
  inspect: false,
  // 额外的配置, 会被 merge 到最终的 webpack configig
  /* eslint-disable-next-line arrow-body-style */
  configureWebpack: () => {
    return {
      // 可以在这里手动设置 entry, 设置之后会跟从 entryDir 里面读取到的配置进行合并
      // entry: {
      // },
      // externals
    }
  },
  // if you need to compile something inside node_modules, config here
  transpileDependencies: [
    // use regexp here to match your dependencies
  ],
}
