export function queryClassNameAll(node, className) {
  return node.getElementsByClassName(className)
}

export function queryClassName(node, className) {
  return queryClassNameAll(node, className)[0]
}

export function findParentUntil(inner, outer) {
  if (inner && outer) {
    while (inner) {
      if (inner === outer) return outer
      inner = inner.parentNode
    }
  }
  return false
}

export function findParentWithClass(inner, outerClass) {
  if (inner && outerClass) {
    while (inner) {
      if (inner.classList && inner.classList.contains(outerClass)) return inner
      inner = inner.parentNode
    }
  }
  return false
}
