const path = require('path')
const fs = require('fs')
const logger = require('zoro-cli-util/logger')

function writePortSync(port) {
  const portFile = path.join(process.cwd(), '.port')
  fs.writeFileSync(portFile, port)
}

exports.writePortSync = writePortSync

function readPortSync() {
  try {
    const portFile = path.join(process.cwd(), '.port')
    const port = fs.readFileSync(portFile, 'utf8')
    return port
  } catch (err) {
    logger.error('请先执行 npm run dev')
    process.exit(-1)
  }
  return ''
}

exports.readPortSync = readPortSync
