import 'src/util/bootstrap'
import 'src/style/index.css'
import router from 'src/router/router'
import store from 'src/store/store'
import Vue from 'vue'

const app = new Vue({
  el: '#app',
  router,
  store,
  render() {
    return <router-view />
  },
})

window.app = app
window.router = router
window.store = store
window.Vue = Vue
